import 'package:dio/dio.dart';
import 'package:yuro/yuro.dart';

class RequestCacheControl {
  final bool noCache;
  final bool noStore;
  final int maxAge;
  final int maxStale;
  final int minFresh;
  final bool noTransform;
  final bool onlyIfCached;
  final Map<String, dynamic>? cacheExtension;

  RequestCacheControl({
    this.noCache = false,
    this.noStore = false,
    this.maxAge = -1,
    this.maxStale = -1,
    this.minFresh = -1,
    this.noTransform = false,
    this.onlyIfCached = false,
    this.cacheExtension,
  });
}

class ResponseCacheControl {
  final bool? public;
  final String? privacy;
  final bool noCache;
  final bool noStore;
  final int maxAge;
  final int sMaxAge;
  final bool noTransform;
  final bool onlyIfCached;
  final bool mustRevalidate;
  final bool proxyRevalidate;
  final Map<String, dynamic>? cacheExtension;

  ResponseCacheControl({
    this.public,
    this.privacy,
    this.noCache = false,
    this.noStore = false,
    this.maxAge = -1,
    this.sMaxAge = -1,
    this.noTransform = false,
    this.onlyIfCached = false,
    this.mustRevalidate = false,
    this.proxyRevalidate = false,
    this.cacheExtension,
  });
}
