/// 缓存策略
enum CacheStrategy {
  /// 强制缓存每个成功的GET请求
  forceCache,

  /// Same as [CachePolicy.refresh] when origin server has no cache config.
  refreshForceCache,

  /// Requests and skips cache save even if
  /// response has cache directives.
  noCache,

  /// Requests regardless cache availability.
  /// Caches if response has cache directives.
  refresh,

  ///返回缓存值（如果可用且未过期）。
  ///
  ///否则将对照源服务器进行检查，并在需要验证时使用返回的头更新缓存新鲜度。
  ///
  ///否则请求并按响应头缓存。
  request,
}