import 'package:dio/dio.dart';
import 'package:yuro/yuro_util/src/string.dart';

import 'cache_strategy.dart';

typedef KeyBuilder = String Function(RequestOptions request);

class DioCacheOptions {
  /// 缓存策略
  final CacheStrategy strategy;

  /// 缓存key构建器
  final KeyBuilder keyBuilder;

  /// 默认最大陈旧时间,
  final Duration? maxStale;

  DioCacheOptions({
    this.strategy = CacheStrategy.forceCache,
    this.keyBuilder = _defaultKeyBuilder,
    this.maxStale,
  });
}

String _defaultKeyBuilder(RequestOptions request) => request.uri.toString().uuid5();
